Bug 47756 - Error Mounting Image During HTTP Install
Error Mounting Image During HTTP Install
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-06 15:10 EDT by Thornton Prime
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-10 11:29:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thornton Prime 2001-07-06 15:10:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; rv:0.9.1)

Description of problem:
Could not mount image during HTTP install. No ability to go back. No
message to debug with.

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. During HTTP install, download runtime image.
2. Image download corrupt or incomplete? No idea.

Actual Results:  
Error mounting /dev/loop0 on
/mnt/runtime (Invalid argument)
This shouldn't happen, and I'm
rebooting your system now.

Expected Results:  I'm not sure what caused this. There was not enough
information to figure out if it was a bad image download or what.

It would be great to be able to go back, retry or even re-select a
different install method.

At the very least we can hopefully get some error message indcating what is

Maybe an MD5 check of the image after the download will help?

Additional info:
Comment 1 Michael Fulbright 2001-07-09 10:50:33 EDT
Did it work when you retried?
Comment 2 Thornton Prime 2001-07-09 10:54:26 EDT
Yes, but it required a reboot.

It may be more of a RFE but it would be nice to go back to retry the download
(or even select a new download method rather than getting to a dead end and
having to start over.
Comment 3 Jeremy Katz 2001-07-16 11:25:37 EDT
Unfortunately, once we get to that point, going back and retrying is hard (we'd
have to do more magic with the ramdisk as far as reinitializing is concerned and

Note You need to log in before you can comment on or make changes to this bug.